package edu.stanford.rt.credential;

/**
 * @author Ninghui Li, Sandra Qiu<br>
 *
 * An object which includes a <code>Principal</code> and 
 * a <code>RoleDeclaration</code> object. It is used as an index 
 * to index the role definitions in <code>CredentialStore</code>.
 */
public class IssuerAndRoleDeclaration
{
	private Principal issuer;
	private RoleDeclaration roleDeclaration;
	
	/**
	 * Constructor for IssuerAndRoleDeclaration.
	 */
	public IssuerAndRoleDeclaration(Principal issuer, 
			RoleDeclaration roleDeclaration)
	{
		this.issuer = issuer;
		this.roleDeclaration = roleDeclaration;
	}


	/**
	 * Returns the issuer.
	 * @return Principal
	 */
	public Principal getIssuer()
	{
		return issuer;
	}

	/**
	 * Returns the roleDeclaration.
	 * @return RoleDeclaration
	 */
	public RoleDeclaration getRoleDeclaration()
	{
		return roleDeclaration;
	}

}
